package com.fjhx.service.customer;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.customer.Customer;
import com.fjhx.params.customer.CustomerVo;

import java.util.Map;

/**
 * <p>
 * 客户 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-25
 */
public interface CustomerService extends BaseService<Customer> {

    Page<Map<String, Object>> getPage(Condition condition);

    void add(CustomerVo customerVo);

    void edit(CustomerVo customerVo);

    void delete(CustomerVo customerVo);

    CustomerVo details(Long id);

}
